Welcome to the Linux Foundation Forum!

Error on Lesson chapter 03: INSTALLATION AND CONFIGURATION

chrodriguez
chrodriguez Posts: 4
edited October 21 in LFS258 Class Forum

When presenting Installing with kubeadm, it gives an example using the Weave network:

kubectl create -f https://git.io/weave-kube

The problem is the linked resource is not available. But looking for the latest release, it seems that it provides daemonset manifests for older kubernetes versions. Is still been used?

As I've been working with calico, but listen more about flannel, cilium, etc, I don't know if this is something that shall be present in lessons or better be removed, or updated to some other cni plugin example.

Thanks

Answers

  • serewicz
    serewicz Posts: 971

    Thanks for the feedback. I'll take a look at Cilium and perhaps swap out Weave.

    Regards,

Categories

Upcoming Training